//+------------------------------------------------------------------+
//|                                             Close_All_Orders.mq4 |
//|                                       Copyright 2020, Mql4Expert |
//|                                https://www.fiverr.com/mql4expert |
//+------------------------------------------------------------------+
#property copyright "Copyright 2020, Mql4Expert"
#property link      "https://www.fiverr.com/mql4expert"
#property version   "1.00"
#property strict

#include <Trade\Trade.mqh>
CTrade trade;

int slippage = 10;

//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
   
   for(int i=0;i<10;i++) CloseAllTrades();
   
}
//+------------------------------------------------------------------+
void CloseAllTrades(int type=-1)
{
   int total=PositionsTotal();
   int count=0;
   for (int cnt=0; cnt<=total-1; cnt++) 
   {
      if(PositionSelect(Symbol()))
      {
         //if(Position)
         {
            if(type==-1 || (ENUM_POSITION_TYPE)PositionGetInteger(POSITION_TYPE) == type)
            {
               int _ticket = (int)PositionGetTicket(cnt);
               if(PositionGetDouble(POSITION_PROFIT)<0)
                  trade.PositionClose(_ticket);
            }
         }
      }
   }
}
//+------------------------------------------------------------------+
bool HandleTradingEnvironment()
{
   return true;
} 
//+------------------------------------------------------------------+